Index: trunk/NEMO/LIM_SRC/limwri.F90
===================================================================
--- trunk/NEMO/LIM_SRC/limwri.F90	(revision 716)
+++ trunk/NEMO/LIM_SRC/limwri.F90	(revision 717)
@@ -15,14 +15,16 @@
    !!   lim_wri_init : initialization and namelist read
    !!----------------------------------------------------------------------
+   USE phycst
    USE dom_oce
+   USE daymod
    USE ice_oce         ! ice variables
+   USE sbc_oce
+   USE sbc_ice
    USE dom_ice
-   USE sbc_oce         ! surface boundary condition: ocean
-   USE phycst
-   USE daymod
    USE ice
+
+   USE lbclnk
+   USE dianam    ! build name of file (routine)
    USE in_out_manager
-   USE dianam    ! build name of file (routine)
-   USE lbclnk
    USE ioipsl
 
@@ -30,5 +32,5 @@
    PRIVATE
 
-   PUBLIC   lim_wri        ! routine called by lim_step.F90
+   PUBLIC   lim_wri        ! routine called by sbcice_lim module
 
    INTEGER, PARAMETER                       ::   jpnoumax = 40   ! maximum number of variable for ice output
@@ -49,7 +51,9 @@
       zone   = 1.e0
 
-   !!----------------------------------------------------------------------
-   !!  LIM 2.0, UCL-LOCEAN-IPSL (2005)
-   !! $Id$
+   !! * Substitutions
+#   include "vectopt_loop_substitute.h90"
+   !!----------------------------------------------------------------------
+   !!  LIM 2.0, UCL-LOCEAN-IPSL (2006)
+   !! $Header: $
    !! Software governed by the CeCILL licence (modipsl/doc/NEMO_CeCILL.txt)
    !!----------------------------------------------------------------------
@@ -79,5 +83,5 @@
       !!-------------------------------------------------------------------
       INTEGER, INTENT(in) ::   kt     ! number of iteration
-
+      !!
       INTEGER  ::   ji, jj, jf                      ! dummy loop indices
       CHARACTER(len = 40)  ::   clhstnam, clop
@@ -90,5 +94,5 @@
 
       !                                          !--------------------!
-      IF ( kt == nit000 ) THEN                !   Initialisation   !
+      IF( kt == nit000 ) THEN                    !   Initialisation   !
          !                                       !--------------------!
          CALL lim_wri_init 
@@ -97,5 +101,5 @@
 !!Chris         clop     = "ave(only(x))"      !ibug  namelist parameter a ajouter
          clop     = "ave(x)"
-         zout     = nwrite * rdt_ice / nfice
+         zout     = nwrite * rdt_ice / nn_fsbc
          zsec     = 0.
          niter    = 0
@@ -110,9 +114,9 @@
          
          DO jf = 1, noumef
-            IF ( nc(jf) == 1 )   CALL histdef( nice, nam(jf), titn(jf), uni(jf), jpi, jpj   &
-                  &                                , nhorid, 1, 1, 1, -99, 32, clop, zsto, zout )
+            IF( nc(jf) == 1 )   CALL histdef( nice, nam(jf), titn(jf), uni(jf), jpi, jpj   &
+               &                                  , nhorid, 1, 1, 1, -99, 32, clop, zsto, zout )
          END DO
          CALL histend( nice )
-         
+         !
       ENDIF
       !                                          !--------------------!
@@ -120,16 +124,9 @@
       !                                          !--------------------!
 
-!!gm  change the print below to have it only at output time step or when nitend =< 100
-      IF(lwp) THEN
-         WRITE(numout,*)
-         WRITE(numout,*) 'lim_wri : write ice outputs in NetCDF files at time : ', nyear, nmonth, nday, kt + nfice - 1
-         WRITE(numout,*) '~~~~~~~ '
-      ENDIF
-
-      !-- calculs des valeurs instantanees
+      !-- Store instantaneous values in zcmo
       
       zcmo(:,:, 1:jpnoumax ) = 0.e0 
       DO jj = 2 , jpjm1
-         DO ji = 2 , jpim1
+         DO ji = fs_2 , fs_jpim1
             zindh  = MAX( zzero , SIGN( zone , hicif(ji,jj) * (1.0 - frld(ji,jj) ) - 0.10 ) )
             zinda  = MAX( zzero , SIGN( zone , ( 1.0 - frld(ji,jj) ) - 0.10 ) )
@@ -142,23 +139,27 @@
             zcmo(ji,jj,5)  = sist  (ji,jj)
             zcmo(ji,jj,6)  = fbif  (ji,jj)
-            zcmo(ji,jj,7)  = zindb * (  u_ice(ji,jj  ) * tmu(ji,jj  ) + u_ice(ji+1,jj  ) * tmu(ji+1,jj  )   &
-                                      + u_ice(ji,jj+1) * tmu(ji,jj+1) + u_ice(ji+1,jj+1) * tmu(ji+1,jj+1) ) &
+            zcmo(ji,jj,7)  = zindb * (  ui_ice(ji,jj  ) * tmu(ji,jj  ) + ui_ice(ji+1,jj  ) * tmu(ji+1,jj  )   &
+                                      + ui_ice(ji,jj+1) * tmu(ji,jj+1) + ui_ice(ji+1,jj+1) * tmu(ji+1,jj+1) ) &
                                   / ztmu 
 
-            zcmo(ji,jj,8)  = zindb * (  v_ice(ji,jj  ) * tmu(ji,jj  ) + v_ice(ji+1,jj  ) * tmu(ji+1,jj  )   &
-                                      + v_ice(ji,jj+1) * tmu(ji,jj+1) + v_ice(ji+1,jj+1) * tmu(ji+1,jj+1) ) &
+            zcmo(ji,jj,8)  = zindb * (  vi_ice(ji,jj  ) * tmu(ji,jj  ) + vi_ice(ji+1,jj  ) * tmu(ji+1,jj  )   &
+                                      + vi_ice(ji,jj+1) * tmu(ji,jj+1) + vi_ice(ji+1,jj+1) * tmu(ji+1,jj+1) ) &
                                   / ztmu
-            zcmo(ji,jj,9)  = sst_io(ji,jj)
-            zcmo(ji,jj,10) = sss_io(ji,jj)
-
-            zcmo(ji,jj,11) = fnsolar(ji,jj) + fsolar(ji,jj)
-            zcmo(ji,jj,12) = fsolar (ji,jj)
-            zcmo(ji,jj,13) = fnsolar(ji,jj)
+            zcmo(ji,jj,9)  = sst_m(ji,jj)
+            zcmo(ji,jj,10) = sss_m(ji,jj)
+
+!!gm        zcmo(ji,jj,11) = fnsolar(ji,jj) + fsolar(ji,jj)
+!!gm        zcmo(ji,jj,12) = fsolar (ji,jj)
+!!gm        zcmo(ji,jj,13) = fnsolar(ji,jj)
+            zcmo(ji,jj,11) = qns(ji,jj) + qsr(ji,jj)
+            zcmo(ji,jj,12) = qsr(ji,jj)
+            zcmo(ji,jj,13) = qns(ji,jj)
             ! See thersf for the coefficient
-            zcmo(ji,jj,14) = - fsalt(ji,jj) * rday * ( sss_io(ji,jj) + epsi16 ) / soce
-            zcmo(ji,jj,15) = gtaux(ji,jj)
-            zcmo(ji,jj,16) = gtauy(ji,jj)
-            zcmo(ji,jj,17) = ( 1.0 - frld(ji,jj) ) * qsr_ice (ji,jj) + frld(ji,jj) * qsr_oce (ji,jj)
-            zcmo(ji,jj,18) = ( 1.0 - frld(ji,jj) ) * qnsr_ice(ji,jj) + frld(ji,jj) * qnsr_oce(ji,jj)
+!!gm        zcmo(ji,jj,14) = - fsalt(ji,jj) * rday * ( sss_m(ji,jj) + epsi16 ) / soce
+            zcmo(ji,jj,14) = - emps(ji,jj) * rday * ( sss_m(ji,jj) + epsi16 ) / soce    !!gm ???
+            zcmo(ji,jj,15) = utaui_ice(ji,jj)
+            zcmo(ji,jj,16) = vtaui_ice(ji,jj)
+            zcmo(ji,jj,17) = ( 1.0 - frld(ji,jj) ) * qsr_ice(ji,jj) + frld(ji,jj) * qsr(ji,jj)   !!gm a revoir
+            zcmo(ji,jj,18) = ( 1.0 - frld(ji,jj) ) * qns_ice(ji,jj) + frld(ji,jj) * qns(ji,jj)   !!gm a revoir
             zcmo(ji,jj,19) = sprecip(ji,jj)
          END DO
@@ -175,5 +176,6 @@
          END DO
          
-         IF ( jf == 7  .OR. jf == 8  .OR. jf == 15 .OR. jf == 16 ) THEN 
+         IF( jf == 7  .OR. jf == 8  .OR. jf == 11 .OR. jf == 12 .OR. jf == 15 .OR.   &
+            &                            jf == 23 .OR. jf == 24 .OR. jf == 16 ) THEN 
             CALL lbc_lnk( zfield, 'T', -1. )
          ELSE 
@@ -181,11 +183,9 @@
          ENDIF
          
-         IF ( nc(jf) == 1 ) CALL histwrite( nice, nam(jf), niter, zfield, ndim, ndex51 )
+         IF( nc(jf) == 1 )   CALL histwrite( nice, nam(jf), niter, zfield, ndim, ndex51 )
          
       END DO
       
-      IF ( ( nfice * niter + nit000 - 1 ) >= nitend ) THEN
-         CALL histclo( nice ) 
-      ENDIF
+      IF( ( nn_fsbc * niter + nit000 - 1 ) >= nitend )   CALL histclo( nice ) 
       !
    END SUBROUTINE lim_wri
@@ -225,24 +225,18 @@
          field_13, field_14, field_15, field_16, field_17, field_18,   &
          field_19
-!!gm      NAMELIST/namiceout/ noumef, &
-!!           zfield( 1), zfield( 2), zfield( 3), zfield( 4), zfield( 5),   &
-!!           zfield( 6), zfield( 7), zfield( 8), zfield( 9), zfield(10),   &
-!!           zfield(11), zfield(12), zfield(13), zfield(14), zfield(15),   &
-!!gm         zfield(16), zfield(17), zfield(18), zfield(19)
-      !!-------------------------------------------------------------------
-
-      ! Read Namelist namicewri
-      REWIND ( numnam_ice )
+      !!-------------------------------------------------------------------
+
+      REWIND ( numnam_ice )                ! Read Namelist namicewri
       READ   ( numnam_ice  , namiceout )
       
-      zfield(1)  = field_1
-      zfield(2)  = field_2
-      zfield(3)  = field_3
-      zfield(4)  = field_4
-      zfield(5)  = field_5
-      zfield(6)  = field_6
-      zfield(7)  = field_7
-      zfield(8)  = field_8
-      zfield(9)  = field_9
+      zfield( 1) = field_1
+      zfield( 2) = field_2
+      zfield( 3) = field_3
+      zfield( 4) = field_4
+      zfield( 5) = field_5
+      zfield( 6) = field_6
+      zfield( 7) = field_7
+      zfield( 8) = field_8
+      zfield( 9) = field_9
       zfield(10) = field_10
       zfield(11) = field_11
@@ -274,5 +268,5 @@
          DO nf = 1 , noumef         
             WRITE(numout,*) '   ', titn(nf), '   ', nam(nf),'      ', uni(nf),'  ', nc(nf),'        ', cmulti(nf),   &
-               '        ', cadd(nf)
+               &       '        ', cadd(nf)
          END DO
       ENDIF
Index: trunk/NEMO/LIM_SRC/limwri_dimg.h90
===================================================================
--- trunk/NEMO/LIM_SRC/limwri_dimg.h90	(revision 716)
+++ trunk/NEMO/LIM_SRC/limwri_dimg.h90	(revision 717)
@@ -82,5 +82,5 @@
 
        zsto     = rdt_ice
-       zout     = nwrite * rdt_ice / nfice
+       zout     = nwrite * rdt_ice / nn_fsbc
        zsec     = 0.
        niter    = 0
@@ -106,10 +106,10 @@
           zcmo(ji,jj,5)  = sist  (ji,jj)
           zcmo(ji,jj,6)  = fbif  (ji,jj)
-          zcmo(ji,jj,7)  = zindb * (  u_ice(ji,jj  ) * tmu(ji,jj  ) + u_ice(ji+1,jj  ) * tmu(ji+1,jj  )   &
-               + u_ice(ji,jj+1) * tmu(ji,jj+1) + u_ice(ji+1,jj+1) * tmu(ji+1,jj+1) ) &
+          zcmo(ji,jj,7)  = zindb * (  ui_ice(ji,jj  ) * tmu(ji,jj  ) + ui_ice(ji+1,jj  ) * tmu(ji+1,jj  )   &
+             &                      + ui_ice(ji,jj+1) * tmu(ji,jj+1) + ui_ice(ji+1,jj+1) * tmu(ji+1,jj+1) ) &
                / ztmu 
 
-          zcmo(ji,jj,8)  = zindb * (  v_ice(ji,jj  ) * tmu(ji,jj  ) + v_ice(ji+1,jj  ) * tmu(ji+1,jj  )   &
-               + v_ice(ji,jj+1) * tmu(ji,jj+1) + v_ice(ji+1,jj+1) * tmu(ji+1,jj+1) ) &
+          zcmo(ji,jj,8)  = zindb * (  vi_ice(ji,jj  ) * tmu(ji,jj  ) + vi_ice(ji+1,jj  ) * tmu(ji+1,jj  )   &
+             &                      + vi_ice(ji,jj+1) * tmu(ji,jj+1) + vi_ice(ji+1,jj+1) * tmu(ji+1,jj+1) ) &
                / ztmu
           zcmo(ji,jj,9)  = sst_io(ji,jj)
@@ -132,8 +132,8 @@
     nmoyice = nmoyice + 1 
     ! compute mean value if it is time to write on file
-    IF ( MOD(kt+nfice-1-nit000+1,nwrite) == 0 ) THEN
+    IF ( MOD(kt+nn_fsbc-1-nit000+1,nwrite) == 0 ) THEN
        rcmoy(:,:,:) = rcmoy(:,:,:) / FLOAT(nmoyice)
 #else  
-       IF ( MOD(kt-nfice-1-nit000+1,nwrite) == 0 ) THEN 
+       IF ( MOD(kt-nn_fsbc-1-nit000+1,nwrite) == 0 ) THEN 
           !  case of instantaneaous output rcmoy(:,:, 1:jpnoumax ) = 0.e0
           DO jj = 2 , jpjm1
@@ -149,10 +149,10 @@
                 rcmoy(ji,jj,5)  = sist  (ji,jj)
                 rcmoy(ji,jj,6)  = fbif  (ji,jj)
-                rcmoy(ji,jj,7)  = zindb * (  u_ice(ji,jj  ) * tmu(ji,jj  ) + u_ice(ji+1,jj  ) * tmu(ji+1,jj  )   &
-                     + u_ice(ji,jj+1) * tmu(ji,jj+1) + u_ice(ji+1,jj+1) * tmu(ji+1,jj+1) ) &
+                rcmoy(ji,jj,7)  = zindb * (  ui_ice(ji,jj  ) * tmu(ji,jj  ) + ui_ice(ji+1,jj  ) * tmu(ji+1,jj  )   &
+                   &                       + ui_ice(ji,jj+1) * tmu(ji,jj+1) + ui_ice(ji+1,jj+1) * tmu(ji+1,jj+1) ) &
                      / ztmu
 
-                rcmoy(ji,jj,8)  = zindb * (  v_ice(ji,jj  ) * tmu(ji,jj  ) + v_ice(ji+1,jj  ) * tmu(ji+1,jj  )   &
-                     + v_ice(ji,jj+1) * tmu(ji,jj+1) + v_ice(ji+1,jj+1) * tmu(ji+1,jj+1) ) &
+                rcmoy(ji,jj,8)  = zindb * (  vi_ice(ji,jj  ) * tmu(ji,jj  ) + vi_ice(ji+1,jj  ) * tmu(ji+1,jj  )   &
+                   &                       + vi_ice(ji,jj+1) * tmu(ji,jj+1) + vi_ice(ji+1,jj+1) * tmu(ji+1,jj+1) ) &
                      / ztmu
                 rcmoy(ji,jj,9)  = sst_io(ji,jj)
@@ -201,5 +201,5 @@
           rcmoy(:,:,:) = 0.0
           nmoyice = 0 
-       END IF     !  MOD(kt+nfice-1-nit000+1, nwrite == 0 ) !
+       END IF     !  MOD(kt+nn_fsbc-1-nit000+1, nwrite == 0 ) !
 
      END SUBROUTINE lim_wri
Index: trunk/NEMO/LIM_SRC/thd_ice.F90
===================================================================
--- trunk/NEMO/LIM_SRC/thd_ice.F90	(revision 716)
+++ trunk/NEMO/LIM_SRC/thd_ice.F90	(revision 717)
@@ -56,5 +56,5 @@
       fr1_i0_1d   ,     &  !:    "                  "      fr1_i0
       fr2_i0_1d   ,     &  !:    "                  "      fr2_i0
-      qnsr_ice_1d ,     &  !:    "                  "      qns_ice
+      qns_ice_1d  ,     &  !:    "                  "      qns_ice
       qfvbq_1d    ,     &  !:    "                  "      qfvbq
       sist_1d     ,     &  !:    "                  "      sist
Index: trunk/NEMO/OPA_SRC/DIA/diawri.F90
===================================================================
--- trunk/NEMO/OPA_SRC/DIA/diawri.F90	(revision 716)
+++ trunk/NEMO/OPA_SRC/DIA/diawri.F90	(revision 717)
@@ -16,4 +16,5 @@
    USE sbc_oce         ! surface boundary condition: ocean
    USE sbc_ice         ! surface boundary condition: ice
+   USE sbcssr          ! restoring term toward SST/SSS climatology
    USE phycst          ! physical constants
    USE ocfzpt          ! ocean freezing point
@@ -243,17 +244,17 @@
             &          jpi, jpj, nh_T, 1  , 1, 1  , -99 , 32, clop, zsto, zout )
 #endif
-#if ! defined key_dynspg_rl && defined key_ice_lim
-         ! sowaflup = sowaflep + sorunoff + sowafldp + a term associated to
-         !    internal damping to Levitus that can be diagnosed from others
-         ! sowaflcd = sowaflep + sorunoff + sowafldp + iowaflup
-         CALL histdef( nid_T, "iowaflup", "Ice=>ocean net freshwater"          , "kg/m2/s",   &  ! fsalt
-            &          jpi, jpj, nh_T, 1  , 1, 1  , -99 , 32, clop, zsto, zout )
-         CALL histdef( nid_T, "sowaflep", "atmos=>ocean net freshwater"        , "kg/m2/s",   &  ! fmass
-            &          jpi, jpj, nh_T, 1  , 1, 1  , -99 , 32, clop, zsto, zout )
-#endif
+!!$#if ! defined key_dynspg_rl && defined key_ice_lim
+!!$         ! sowaflup = sowaflep + sorunoff + sowafldp + a term associated to
+!!$         !    internal damping to Levitus that can be diagnosed from others
+!!$         ! sowaflcd = sowaflep + sorunoff + sowafldp + iowaflup
+!!$         CALL histdef( nid_T, "iowaflup", "Ice=>ocean net freshwater"          , "kg/m2/s",   &  ! fsalt
+!!$            &          jpi, jpj, nh_T, 1  , 1, 1  , -99 , 32, clop, zsto, zout )
+!!$         CALL histdef( nid_T, "sowaflep", "atmos=>ocean net freshwater"        , "kg/m2/s",   &  ! fmass
+!!$            &          jpi, jpj, nh_T, 1  , 1, 1  , -99 , 32, clop, zsto, zout )
+!!$#endif
          CALL histdef( nid_T, "sowaflup", "Net Upward Water Flux"              , "Kg/m2/s",   &  ! emp
             &          jpi, jpj, nh_T, 1  , 1, 1  , -99 , 32, clop, zsto, zout )
-         CALL histdef( nid_T, "sorunoff", "Runoffs"                            , "Kg/m2/s",   &  ! runoffs
-            &          jpi, jpj, nh_T, 1  , 1, 1  , -99 , 32, clop, zsto, zout )
+!!$         CALL histdef( nid_T, "sorunoff", "Runoffs"                            , "Kg/m2/s",   &  ! runoffs
+!!$            &          jpi, jpj, nh_T, 1  , 1, 1  , -99 , 32, clop, zsto, zout )
          CALL histdef( nid_T, "sowaflcd", "concentration/dilution water flux"  , "kg/m2/s",   &  ! emps
             &          jpi, jpj, nh_T, 1  , 1, 1  , -99 , 32, clop, zsto, zout )
@@ -421,10 +422,10 @@
       CALL histwrite( nid_T, "sossheig", it, sshn          , ndim_hT, ndex_hT )   ! sea surface height
 #endif
-#if ! defined key_dynspg_rl && defined key_ice_lim
-      CALL histwrite( nid_T, "iowaflup", it, fsalt(:,:)    , ndim_hT, ndex_hT )   ! ice=>ocean water flux
-      CALL histwrite( nid_T, "sowaflep", it, fmass(:,:)    , ndim_hT, ndex_hT )   ! atmos=>ocean water flux
-#endif
+!!$#if ! defined key_dynspg_rl && defined key_ice_lim
+!!$      CALL histwrite( nid_T, "iowaflup", it, fsalt(:,:)    , ndim_hT, ndex_hT )   ! ice=>ocean water flux
+!!$      CALL histwrite( nid_T, "sowaflep", it, fmass(:,:)    , ndim_hT, ndex_hT )   ! atmos=>ocean water flux
+!!$#endif
       CALL histwrite( nid_T, "sowaflup", it, emp           , ndim_hT, ndex_hT )   ! upward water flux
-      CALL histwrite( nid_T, "sorunoff", it, runoff        , ndim_hT, ndex_hT )   ! runoff
+!!$      CALL histwrite( nid_T, "sorunoff", it, runoff        , ndim_hT, ndex_hT )   ! runoff
       CALL histwrite( nid_T, "sowaflcd", it, emps          , ndim_hT, ndex_hT )   ! c/d water flux
       zw2d(:,:) = emps(:,:) * sn(:,:,1) * tmask(:,:,1)
Index: trunk/NEMO/OPA_SRC/DIA/diawri_dimg.h90
===================================================================
--- trunk/NEMO/OPA_SRC/DIA/diawri_dimg.h90	(revision 716)
+++ trunk/NEMO/OPA_SRC/DIA/diawri_dimg.h90	(revision 717)
@@ -76,5 +76,4 @@
     !! * modules used
     USE lib_mpp
-    USE dtasst, ONLY : sst
 
     !! * Arguments
Index: trunk/NEMO/OPA_SRC/DOM/domain.F90
===================================================================
--- trunk/NEMO/OPA_SRC/DOM/domain.F90	(revision 716)
+++ trunk/NEMO/OPA_SRC/DOM/domain.F90	(revision 717)
@@ -143,9 +143,9 @@
       NAMELIST/namrun/ no    , cexper   , ln_rstart , nrstdt , nit000,         &
          &             nitend, ndate0   , nleapy   , ninist , nstock,          &
-         &             nwrite, nrunoff  , ln_dimgnnn
+         &             nwrite, ln_dimgnnn
 
       NAMELIST/namdom/ ntopo , e3zps_min, e3zps_rat, ngrid  , nmsh  ,   &
          &             nacc  , atfp     , rdt      , rdtmin , rdtmax,   &
-         &             rdth  , rdtbt    , nfice    , nfbulk , nclosea
+         &             rdth  , rdtbt    , nclosea
       NAMELIST/namcla/ n_cla
       !!----------------------------------------------------------------------
@@ -174,5 +174,4 @@
          WRITE(numout,*) '           frequency of restart file       nstock    = ', nstock
          WRITE(numout,*) '           frequency of output file        nwrite    = ', nwrite
-         WRITE(numout,*) '           runoff option                   nrunoff   = ', nrunoff
          WRITE(numout,*) '           multi file dimgout           ln_dimgnnn   = ', ln_dimgnnn
       ENDIF
@@ -258,16 +257,4 @@
       ENDIF
 
-      IF( lk_ice_lim ) THEN
-         IF(lwp) WRITE(numout,*) '           ice model coupling frequency      nfice  = ', nfice
-         nfbulk = nfice
-         IF( MOD( rday, nfice*rdt ) /= 0 ) THEN 
-            IF(lwp) WRITE(numout,*) ' '
-            IF(lwp) WRITE(numout,*) 'W A R N I N G :  nfice is NOT a multiple of the number of time steps in a day'
-            IF(lwp) WRITE(numout,*) ' '
-         ENDIF
-         IF(lwp) WRITE(numout,*) '           bulk computation frequency       nfbulk  = ', nfbulk, ' = nfice if ice model used'
-         IF(lwp) WRITE(numout,*) '           flag closed sea or not           nclosea = ', nclosea
-      ENDIF
-
       ! Default values
       n_cla = 0
Index: trunk/NEMO/OPA_SRC/LDF/ldfeiv.F90
===================================================================
--- trunk/NEMO/OPA_SRC/LDF/ldfeiv.F90	(revision 716)
+++ trunk/NEMO/OPA_SRC/LDF/ldfeiv.F90	(revision 717)
@@ -17,4 +17,5 @@
    USE dom_oce         ! ocean space and time domain
    USE sbc_oce         ! surface boundary condition: ocean
+   USE sbcrnf          ! river runoffs
    USE ldftra_oce      ! ocean tracer   lateral physics
    USE phycst          ! physical constants
@@ -177,5 +178,5 @@
             DO ji = 1, jpi
                zaht      = ( 1. -  MIN( 1., ABS( ff(ji,jj) / zf20 ) ) ) * ( aht0 - zaht_min )  &
-                  &      + aht0 * upsrnfh(ji,jj)                          ! enhanced near river mouths
+                  &      + aht0 * rnfmsk(ji,jj)                          ! enhanced near river mouths
                ahtu(ji,jj) = MAX( MAX( zaht_min, aeiu(ji,jj) ) + zaht, aht0 )
                ahtv(ji,jj) = MAX( MAX( zaht_min, aeiv(ji,jj) ) + zaht, aht0 )
@@ -352,5 +353,5 @@
             DO ji = 1, jpi
                zaht      = ( 1. -  MIN( 1., ABS( ff(ji,jj) / zf20 ) ) ) * ( aht0 - zaht_min )  &
-                  &      + aht0 * upsrnfh(ji,jj)                          ! enhanced near river mouths
+                  &      + aht0 * rnfmsk(ji,jj)                          ! enhanced near river mouths
                ahtu(ji,jj) = MAX( MAX( zaht_min, aeiu(ji,jj) ) + zaht, aht0 )
                ahtv(ji,jj) = MAX( MAX( zaht_min, aeiv(ji,jj) ) + zaht, aht0 )
Index: trunk/NEMO/OPA_SRC/SBC/sbc_oce.F90
===================================================================
--- trunk/NEMO/OPA_SRC/SBC/sbc_oce.F90	(revision 716)
+++ trunk/NEMO/OPA_SRC/SBC/sbc_oce.F90	(revision 717)
@@ -18,8 +18,6 @@
    REAL(wp), PUBLIC, DIMENSION(jpi,jpj) ::   qns       !: sea heat flux: non solar                     [W/m2]
    REAL(wp), PUBLIC, DIMENSION(jpi,jpj) ::   qsr       !: sea heat flux:     solar                     [W/m2]
-   REAL(wp), PUBLIC, DIMENSION(jpi,jpj) ::   qrp       !: heat flux damping                            [w/m2]
    REAL(wp), PUBLIC, DIMENSION(jpi,jpj) ::   emp       !: freshwater budget: volume flux               [Kg/m2/s]
    REAL(wp), PUBLIC, DIMENSION(jpi,jpj) ::   emps      !: freshwater budget: concentration/dillution   [Kg/m2/s]
-   REAL(wp), PUBLIC, DIMENSION(jpi,jpj) ::   erp       !: evaporation damping                          [kg/m2/s]
 
    !!----------------------------------------------------------------------
Index: trunk/NEMO/OPA_SRC/SBC/sbcice_lim.F90
===================================================================
--- trunk/NEMO/OPA_SRC/SBC/sbcice_lim.F90	(revision 716)
+++ trunk/NEMO/OPA_SRC/SBC/sbcice_lim.F90	(revision 717)
@@ -104,10 +104,10 @@
          DO jj = 2, jpj
             DO ji = fs_2, jpi   ! vector opt.
-               u_oce(ji,jj) = 0.5 * ( ssu_m(ji-1,jj  ) + ssu_m(ji-1,jj-1) )
-               v_oce(ji,jj) = 0.5 * ( ssv_m(ji  ,jj-1) + ssv_m(ji-1,jj-1) )
+               ui_oce(ji,jj) = 0.5 * ( ssu_m(ji-1,jj  ) + ssu_m(ji-1,jj-1) )
+               vi_oce(ji,jj) = 0.5 * ( ssv_m(ji  ,jj-1) + ssv_m(ji-1,jj-1) )
             END DO
          END DO
-         CALL lbc_lnk( u_oce, 'I', -1. )   ! I-point (i.e. F-point with ice indices)
-         CALL lbc_lnk( v_oce, 'I', -1. )   ! I-point (i.e. F-point with ice indices)
+         CALL lbc_lnk( ui_oce, 'I', -1. )   ! I-point (i.e. F-point with ice indices)
+         CALL lbc_lnk( vi_oce, 'I', -1. )   ! I-point (i.e. F-point with ice indices)
 
          ! ... masked sea surface freezing temperature [Kelvin] (set to rt0 over land)
@@ -124,5 +124,5 @@
             CALL blk_ice_clio()
          CASE( 4 )           ! CORE bulk formulation
-            CALL blk_ice_core( sist     , u_ice    , v_ice    , alb_ice_cs,                      &
+            CALL blk_ice_core( sist     , ui_ice   , vi_ice   , alb_ice_cs,                      &
                &                                     utaui_ice, vtaui_ice , qns_ice , qsr_ice,   &
                &                                     qla_ice  , dqns_ice  , dqla_ice,            &
@@ -148,5 +148,5 @@
          ;                              CALL lim_thd      ( kt )      ! Ice thermodynamics 
          ;                              CALL lim_sbc      ( kt )      ! Ice/Ocean Mass & Heat fluxes 
-         IF( MOD( kt+nfice-1, ninfo ) == 0 .OR.   &
+         IF( MOD( kt+nn_fsbc-1, ninfo ) == 0 .OR.   &
             &  ntmoy == 1 )             CALL lim_dia      ( kt )      ! Ice Diagnostics 
          ;                              CALL lim_wri      ( kt )      ! Ice outputs 
Index: trunk/NEMO/OPA_SRC/SBC/sbcssr.F90
===================================================================
--- trunk/NEMO/OPA_SRC/SBC/sbcssr.F90	(revision 716)
+++ trunk/NEMO/OPA_SRC/SBC/sbcssr.F90	(revision 717)
@@ -33,4 +33,7 @@
    TYPE(FLD), ALLOCATABLE, DIMENSION(:) ::   sf_sst   ! structure of input SST (file informations, fields read)
    TYPE(FLD), ALLOCATABLE, DIMENSION(:) ::   sf_sss   ! structure of input SSS (file informations, fields read)
+
+   REAL(wp), PUBLIC, DIMENSION(jpi,jpj) ::   erp       !: evaporation damping                          [kg/m2/s]
+   REAL(wp), PUBLIC, DIMENSION(jpi,jpj) ::   qrp       !: heat flux damping                            [w/m2]
 
    !! * Namelist namsbc_ssr
@@ -99,5 +102,5 @@
             WRITE(numout,*) '                           (Yes=2, volume flux) '
             WRITE(numout,*) '          dQ/dT (restoring magnitude on SST)     dqdt     = ', dqdt, ' W/m2/K'
-            WRITE(numout,*) '          dE/dS (restoring magnitude on SST)     deds     = ', deds, ' ???'
+            WRITE(numout,*) '          dE/dS (restoring magnitude on SST)     deds     = ', deds, ' ...'
          ENDIF
 
